using System;
using Newtonsoft.Json;

namespace Jovian.PopupSystem {
    public sealed class PopupCategoryJsonConverter : JsonConverter<PopupCategory> {
        public override void WriteJson(JsonWriter writer, PopupCategory value, JsonSerializer serializer) {
            writer.WriteValue(value.Id);
        }

        public override PopupCategory ReadJson(JsonReader reader, Type objectType, PopupCategory existingValue, bool hasExistingValue, JsonSerializer serializer) {
            var id = reader.Value as string;
            return new PopupCategory(id);
        }
    }
}
